CAPTION = "HTMLで直接書く（改行反映あり）"


class Translator
	def text_to_html(text)
		text.gsub(/\r\n|\n/, "<br>\n")
	end
	
	def format_guide
		return <<HTML
<p>文字通り、HTMLで直接記事を書くことができます。ただし、通常のHTMLと比べて、以下の2つの違いがあります。</p>

<ol>
  <li><em>改行がそのまま表示に反映されます</em>（&lt;br&gt;タグに変換されます）。</li>
  <li><a href="http://scl.littlestar.jp/pinkyblog/exlink.php">特殊リンク</a>の変換を行います。</li>
</ol>

<h3>注意点</h3>
<ul>
	<li>見出しを使う場合、<code>h1</code>ではなく<code>h3</code>から始めてください（以降<code>h4, h5, h6</code>）。<code>h1</code>がサイト名に、<code>h2</code>が記事タイトルに、それぞれ使われているためです。</li>
</ul>
HTML
	end
end

